/*
    
## ## ## ## ##  ##              ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ##          ##  ## ## ## ## ##  ## ## ## ## ##
##              ##              ##          ##  ##          ##  ##          ##  ## ##       ##  ##                    ##
##              ##              ##          ##  ##          ##  ##          ##  ##  ##      ##  ##                    ##
##    ## ## ##  ##              ##          ##  ## ## ## ##     ##          ##  ##    ##    ##  ## ## ## ## ##        ##
##          ##  ##              ##          ##  ##          ##  ##          ##  ##      ##  ##  ##                    ##
##          ##  ##              ##          ##  ##          ##  ##          ##  ##        ## #  ##                    ##
## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ##          ##  ## ## ## ## ##        ##

/**** TEXT & ICONS ****/

/* WHITE */
hr,
h1,
.prev, 
.next,
.teaser i,
button,
.button,
footer p,
footer a,
footer h3,
.dropdown li:hover a,
input[type=submit] {
    color: var(--white);
}

/* BLUE */
a,
.form h4,
#decline,
#popup h3,
#selection,
.cta-options i,
footer a:hover,
.menuitem a:hover,
.topmenu nav li a:hover,
.topmenu nav li a:hover i {
    color: var(--blue);
}

/* BLACK */
h2,
h3,
h4,
p,
li i,
#selection,
.menuitem a {
    color: var(--black);
} 

/* OTHER */
.alert i:nth-of-type(1) {
    color: green;
}
.topmenu nav li,
.topmenu nav li i,
.topmenu nav li a {
    color: #c1c1c1;
}
#teaserbox .box p,
.cta-options span:last-of-type {
    color: #848484;
}
footer a,
footer p {
    color: #d9d9d9;
}

/**** ELEMENT BACKGROUND ****/

/* WHITE */
body,
.bottommenu,
.dropdown,
#teaserbox .box,
.bottommenu nav.visible {
    background: var(--white);    
}

/* GREY */
input,
.teaser,
textarea,
#teaserbox,
#topfooter {
    background: var(--grey);
}

/* BLUE */
button,
.button,
.divider,
.teaser i,
.dropdown li:hover,
input[type=submit],
#burgermenu .burger .line {
    background: var(--blue);
}

/* BLACK */
button:hover,
.button:hover,
#bottomfooter {
    background: var(--black);
}

/* OTHER */
#selection,
#burgermenu,
#decline {
    background: transparent;
}
#popup {
    background: #ffffff85;
}
.topmenu {
    background: #f9f9f9;
}
.bottommenu {
    background: #7e7e7e;
}
#topfooter {
    background: #242424;
}

/**** OUTLINE & BORDER ****/
#decline,
input:focus,
textarea:focus {
    outline: 1px solid var(--blue);
}
.button:focus-visible,
button:focus-visible,
input[type="submit"]:focus-visible,
a:focus-visible {
    outline: .2rem solid var(--black);
}
.topmenu {
    border-bottom: 1px solid rgba(0, 0, 0, 0.05);
}
.topmenu ul li {
    border-left: 1px solid rgba(0, 0, 0, 0.05);
}
.topmenu ul li:last-child {
    border-right: 1px solid rgba(0, 0, 0, 0.05);
}
.dropdown li {
    border-bottom: 1px solid rgba(0, 0, 0, 0.05);
}
#topfooter .box:nth-of-type(2) p {
    border-bottom: 1px solid #3a3a3a;
}
.cta-options i:not(i:nth-of-type(2)) {
    border: solid 1px var(--blue);
}

/**** BOX SHADOW ****/
#popup {
    -webkit-backdrop-filter: blur(3rem);
    backdrop-filter: blur(3rem);
    box-shadow: var(--black) 0 0 10rem -4rem;
}
.dropdown {
    box-shadow: 1px 1px 5px 0 rgba(0, 0, 0, 0.2);
}

/**** TRANSITIONS ****/
i,
a,
nav,
#more,
.all i,
.dropdown,
.dropdown li,
.bottommenu nav,
#selection span {
    transition: all linear 100ms;
}

#burgermenu {
    transition: all linear 200ms;
}

/**** FONTS ****/
@font-face {
    font-family: 'Montserrat';
    src: url(../font/Montserrat/Montserrat-VariableFont_wght.ttf);
}
@font-face {
    font-family: 'PT Sans';
    src: url(../font/PT_Sans/PTSans-Regular.ttf);
}
*:not(p, a),
#teaserbox span,
.topmenu nav li a,
.topmenu nav span,
.bottommenu nav li a,
.cta-options span:first-of-type,
.button,
button {
    font-family: 'Montserrat';
    line-height: 1.62857;
}
p,
a,
span {
    font-family: 'PT Sans';
}


/**** ROOT ****/
:root {
    --white: #FFFFFF;
    --grey: #f5f5f5;
    --blue: #0069b4; 
    --black: #0f0f0f;
}